CVE-2017-12652
CVE-2017-12652, security advisory, novell, suse linux, suse, security, cve

CVE-2017-12652

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2017-12652 at MITRE

Description

libpng before 1.6.32 does not properly check the length of chunks against the user limit.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1141493 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • libpng16-16 >= 1.6.34-1.19
  • libpng16-16-32bit >= 1.6.34-1.19
  • libpng16-compat-devel >= 1.6.34-1.19
  • libpng16-devel >= 1.6.34-1.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libpng16-16
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libpng16-16 >= 1.6.34-1.19
  • libpng16-16-32bit >= 1.6.34-1.19
  • libpng16-compat-devel >= 1.6.34-1.19
  • libpng16-devel >= 1.6.34-1.19
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libpng16-16
openSUSE Leap 15.0
  • libpng16-16 >= 1.6.34-lp150.1.5
Patchnames:
openSUSE Leap 15.0 GA libpng16-16

List of packages in QA

Product(s) Package(s)
SUSE CaaS Platform 3.0
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Desktop 12 SP4
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Server 12 SP4
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Server 12 SP5
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-16 >= 1.6.8-15.5.2
  • libpng16-16-32bit >= 1.6.8-15.5.2
  • libpng16-16-debuginfo >= 1.6.8-15.5.2
  • libpng16-16-debuginfo-32bit >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-compat-devel >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
  • libpng16-devel >= 1.6.8-15.5.2
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libpng16 >= 1.6.8-15.5.2
  • libpng16-compat-devel >= 1.6.8-15.5.2
  • libpng16-debugsource >= 1.6.8-15.5.2
  • libpng16-devel >= 1.6.8-15.5.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 3.0 libpng16 In progress
SUSE Linux Enterprise Desktop 12 SP3 libpng12 Affected
SUSE Linux Enterprise Desktop 12 SP3 libpng15 Affected
SUSE Linux Enterprise Desktop 12 SP3 libpng16 Affected
SUSE Linux Enterprise Desktop 12 SP4 libpng12 In progress
SUSE Linux Enterprise Desktop 12 SP4 libpng15 In progress
SUSE Linux Enterprise Desktop 12 SP4 libpng16 In progress
SUSE Linux Enterprise High Performance Computing 12 libpng12 In progress
SUSE Linux Enterprise High Performance Computing 12 libpng15 In progress
SUSE Linux Enterprise High Performance Computing 12 libpng16 In progress
SUSE Linux Enterprise Module for Basesystem 15 GA libpng12 Affected
SUSE Linux Enterprise Module for Basesystem 15 GA libpng16 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libpng12 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libpng16 Affected
SUSE Linux Enterprise SDK 12 SP3 libpng12 Affected
SUSE Linux Enterprise SDK 12 SP3 libpng16 Affected
SUSE Linux Enterprise SDK 12 SP4 libpng12 In progress
SUSE Linux Enterprise SDK 12 SP4 libpng16 In progress
SUSE Linux Enterprise Server 11 SP3 LTSS libpng12-0 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS libpng12-0 Affected
SUSE Linux Enterprise Server 12 GA LTSS libpng12 Affected
SUSE Linux Enterprise Server 12 GA LTSS libpng16 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libpng12 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libpng15 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libpng16 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libpng12 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libpng15 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libpng16 Affected
SUSE Linux Enterprise Server 12 SP3 libpng12 Affected
SUSE Linux Enterprise Server 12 SP3 libpng15 Affected
SUSE Linux Enterprise Server 12 SP3 libpng16 Affected
SUSE Linux Enterprise Server 12 SP4 libpng12 In progress
SUSE Linux Enterprise Server 12 SP4 libpng15 In progress
SUSE Linux Enterprise Server 12 SP4 libpng16 In progress
SUSE Linux Enterprise Server 12 SP5 libpng12 In progress
SUSE Linux Enterprise Server 12 SP5 libpng15 In progress
SUSE Linux Enterprise Server 12 SP5 libpng16 In progress
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libpng12-0 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA libpng12 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA libpng16 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libpng12 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libpng15 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libpng16 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libpng12 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libpng15 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libpng16 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libpng12 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libpng15 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libpng16 In progress